%define snapshot 20140926
%define rel     5

Name:           hex-a-hop
Version:        1.2.0
Release:        %mkrel -c %{snapshot} %{rel}
Summary:        Puzzle game based on hexagonal tiles
Group:          Games/Puzzles
License:        GPLv2+
URL:            http://hexahop.sourceforge.net/
Source0:        %{name}-%{version}-git%{snapshot}.tar.xz
#Source0:        https://downloads.sourceforge.net/hexahop/%%{name}-%%{version}.tar.gz
Patch0:         hex-a-hop-1.2.0-mga-desktop.patch

BuildRequires:  gettext-devel
BuildRequires:  imagemagick
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_Pango)
BuildRequires:  pkgconfig(SDL_ttf)

%description
Hex-a-Hop is a hexagonal tile-based puzzle game with one simple goal:
destroy all green tiles! There are infinite undos and no time limits --
you just have to find a way to destroy all the green tiles and step on
a safe tile at the end.

%prep
%setup -q -n %{name}-%{version}-git%{snapshot}
%autopatch -p1

%build
autoreconf -vfi
%configure --bindir=%{_gamesbindir} \
               --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

for size in 48 96 128 192; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps
  convert data/hex-a-hop.png -resize ${size} \
      %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done
mkdir -p %{buildroot}%{_iconsdir}/hicolor/16x16/apps
install -m644 data/hex-a-hop-16.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING NEWS README data/hints.html
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6.*


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 1.2.0-0.20140926.5.mga9
+ Revision: 1839625
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.2.0-0.20140926.4.mga8
+ Revision: 1513488
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.2.0-0.20140926.3.mga7
+ Revision: 1298185
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.2.0-0.20140926.2.mga6
+ Revision: 949945
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 akien <akien> 1.2.0-0.20140926.1.mga5
+ Revision: 791987
- imported package hex-a-hop

